class ShowCombinator():

    IDENTIFIER = 'show'

    SHOW_LIST = [
        'Boruto; Naruto Next Generations (2017)',
        'The Rising of the Shield Hero (2019)',
        'Scrubs - Die Anfänger (2001)'
    ]

    def __init__(self, context = None):
        self._context = context
        self._logger = context['logger']
        self._reportLogger = context['report_logger']

    def getIdentifier(self):
        return ShowCombinator.IDENTIFIER

    def getPayload(self, showIndex):
        return {
            'variant': f"S{showIndex}",
            'show': ShowCombinator.SHOW_LIST[showIndex]
        }

    def assertFunc(self, testObj = {}):
        pass

    def shouldFail(self):
        return False

    def getYield(self):
        for showIndex in range(len(ShowCombinator.SHOW_LIST)):
            yield self.getPayload(showIndex)
